APIThreads
Post an internal comment
Post an internal comment on a thread. Visible to teammates only. Requires the comments:write scope.
POST
/threads/{thread_id}/commentscurl -X POST "https://productlane.com/api/v2/threads/{thread_id}/comments" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
thread_idstringpathrequired
Body
application/json
contentstringrequiredattachmentsobject[]
Response
application/json
Successful response
idstringrequiredcreated_atstringrequiredupdated_atstringrequiredcontentstringrequiredattachmentsany[]requiredthread_idstringrequireduser_idstring | nullrequired
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"content": "string",
"attachments": [
null
],
"thread_id": "string",
"user_id": "string"
}